function y = SI2con_precontrast(par,xdata,E1_weight)

%function ssd = SI2con_precontrast(par)

% global xdata
% global ydata
%global E1_weight;

M0 = par(1);
E10 = par(2)/E1_weight;

y = M0 * sin(xdata) * (1-E10) ./ (1-E10*cos(xdata));
%ssd = mean2((y-ydata).^2)/1;
